<?php
/**
 * @package            Joomla
 * @subpackage         Event Booking
 * @author             Tuan Pham Ngoc
 * @copyright          Copyright (C) 2010 - 2017 Ossolution Team
 * @license            GNU/GPL, see LICENSE.php
 */

// no direct access
defined('_JEXEC') or die;

class plgEventBookingRScomments extends JPlugin
{
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);		
	}

	public function onEventDisplay($row)
	{
		ob_start();
		$this->displayCommentForm($row);

		return array('title' => JText::_('Comment'),
		             'form'  => ob_get_clean(),
		);
	}

	/**
	 * Display form allows users to add comments about the event via JComments
	 *
	 * @param object $row
	 */
	private function displayCommentForm($row)
	{
		echo '{rscomments option="com_eventbooking" id="'.$row->id.'"}';
	}
}
